Permalink
Browse files

don't require rgeo, fixes #9

  • Loading branch information...
nofxx committed Sep 17, 2012
1 parent 80dc949 commit 5ca5e1cb6e587cda0714bba84a51c921cfb74658
Showing with 3 additions and 5 deletions.
  1. +1 −1 lib/mongoid_geospatial/version.rb
  2. +2 −4 mongoid_geospatial.gemspec
@@ -1,5 +1,5 @@
module Mongoid
module Geospatial
- VERSION = "2.5.0"
+ VERSION = "2.5.1"
end
end
@@ -4,8 +4,8 @@ require File.expand_path('../lib/mongoid_geospatial/version', __FILE__)
Gem::Specification.new do |gem|
gem.authors = ["Ryan Ong", "Marcos Piccinini"]
gem.email = ["use@git.hub.com"]
- gem.description = %q{mongoid_geospatial simplifies spatial calculations. Adds integration into mongoid so pagination and other function continue to work. It adds symbol extensions to simplify query creation.}
- gem.summary = %q{A Mongoid Extension that simplifies and adds support for MongoDB Geo Spatial Calculations.}
+ gem.description = "Mongoid Extension that simplifies spatial calculations. Adds integration into mongoid so pagination and other function continue to work. It adds symbol extensions to simplify query creation."
+ gem.summary = "Mongoid Extension that simplifies and adds support for MongoDB Geo Spatial Calculations."
gem.homepage = "https://github.com/nofxx/mongoid_geospatial"
gem.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
@@ -15,8 +15,6 @@ Gem::Specification.new do |gem|
gem.require_paths = ["lib"]
gem.version = Mongoid::Geospatial::VERSION
-
- gem.add_dependency('rgeo', ['>= 0.3.15'])
gem.add_dependency('mongoid', ['>= 3.0.0'])
gem.add_dependency('activesupport', ["~> 3.2"])
gem.add_development_dependency('yard', ["~>0.6.0"])

0 comments on commit 5ca5e1c

Please sign in to comment.